Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0039903
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Modules] Remittancemajoralways2019-01-09 17:392019-02-04 09:54
ReporterngarciaView Statuspublic 
Assigned Tomarkmm82 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revisionf21d7ee630cd
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Regression date
Regression introduced by commit
Regression level
Review Assigned ToSandrahuguet
Regression introduced in release
Summary

0039903: Duplicated records shown in the last records of Settle/Protest Remittance if some lines have same payments and scroll is shown

DescriptionDuplicated records shown in the last records of Settle/Protest Remittance if some lines have same payments and scroll is shown

The getRemittanceLine query is launched with an offset, this offset is calculated with the remittance lines but the lines shown in the Settle/Protest Remittance window are the payments included in the remittance lines that could be less
Steps To ReproduceHaving a remittance with more than 28 lines and same payments on it lines. The problem can be also reproduced with less records by reducing the size of the browser

As group admin role:
   Go to Settle/Protest Remittance
   Select the previously created Remittance
   Click on Search
   Move the scroll bar to the end and check some records are duplicated in the end
   The number in the right side is also wrong as it is showing more records than the available (for example: 111-138 / 135)
   If you click in one of the last records the original record will be selected
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0109028)
markmm82 (developer)
2019-01-21 02:42

Test Plan:
Create some invoices and payments to have a remittance with more than 28 lines and same payments on it lines.

As group admin role:
   Go to Settle/Protest Remittance
   Select the previously created Remittance
   Click on Search
   Move the scroll bar to the end and check there aren't duplicated records.
   Also, the pagination is right when you scroll the grid
(0109311)
markmm82 (developer)
2019-01-29 15:25

Issue reproduced by the following steps:
Apply Remittance dataset
As Group Admin:
Create 58 sales invoice headers as this:
  Organization = F&B España - Región Norte
  Business Partner = Alimentos y Supermercados, S.A
  Payment Method = Remittance
  Invoice Date = Today (for example: 29-01-2019)
Add one line on each with any product and complete.

Create a Remittance
  Organization = F&B España - Región Norte
  Document Type = Remittance
  Transaction Date = Today (for example: 29-01-2019)
  Expected Date = A date after the payment scheduled for the invoice (for example: 29-05-2019)
  Name = RemitTest
  Financial Account = Cuenta de Banco - EUR
Save it

Execute Select Orders or Invoices process.
Notice the 58 lines belonging to the 58 invoices are shown in the grid.
Select all the lines and Process

Process the remittance.

Go to Settle/Protest Remittance, filter by:
  Organization = F&B España - Región Norte
  You can select the previously created Remittance or leave the filter emptu if you were working in a clean environment without any other remittances.

   Move the scroll bar to the end and check the last record is duplicated in the end
   Also notice that should be 58 lines but the line number is 59.
   The number in the right side is also wrong as it is showing more records than the available (for example: 42-69 / 59)
   If you click in the last record the original record will be selected
(0109511)
hgbot (developer)
2019-02-04 09:51

Repository: erp/mods/org.openbravo.module.remittance
Changeset: f21d7ee630cd2c938f3a356c87d74ed58a4c28e3
Author: Mark <markmm82 <at> gmail.com>
Date: Sun Jan 20 18:26:26 2019 -0500
URL: http://code.openbravo.com/erp/mods/org.openbravo.module.remittance/rev/f21d7ee630cd2c938f3a356c87d74ed58a4c28e3 [^]

Fixes issue 39903:Avoid duplicated records in the last records of Settle/Protest
Remittance if some lines have same payments and scroll is shown

Avoid to return the last record when page size is 0. This way it is not considered the last record
twice if.
Also was fixed the pagination in the report to get the less vaue between the pagination
last record and the total of records, taking into account that it is possible records
with the same payment.

---
M src/org/openbravo/module/remittance/ad_forms/CancelReturnRemittance.html
M src/org/openbravo/module/remittance/ad_forms/CancelReturnRemittance.java
---
(0109512)
Sandrahuguet (developer)
2019-02-04 09:54

Code review + testing OK

- Issue History
Date Modified Username Field Change
2019-01-09 17:39 ngarcia New Issue
2019-01-09 17:39 ngarcia Assigned To => Triage Finance
2019-01-09 17:39 ngarcia Issue Monitored: networkb
2019-01-09 18:58 Practics Issue Monitored: Practics
2019-01-10 08:22 Sandrahuguet Assigned To Triage Finance => markmm82
2019-01-11 18:01 markmm82 Status new => scheduled
2019-01-21 02:42 markmm82 Note Added: 0109028
2019-01-29 15:25 markmm82 Note Added: 0109311
2019-01-31 17:08 Sandrahuguet Relationship added related to 0040091
2019-01-31 17:19 Sandrahuguet Relationship deleted related to 0040091
2019-02-04 09:51 hgbot Checkin
2019-02-04 09:51 hgbot Note Added: 0109511
2019-02-04 09:51 hgbot Status scheduled => resolved
2019-02-04 09:51 hgbot Resolution open => fixed
2019-02-04 09:51 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/mods/org.openbravo.module.remittance/rev/f21d7ee630cd2c938f3a356c87d74ed58a4c28e3 [^]
2019-02-04 09:54 Sandrahuguet Review Assigned To => Sandrahuguet
2019-02-04 09:54 Sandrahuguet Note Added: 0109512
2019-02-04 09:54 Sandrahuguet Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker